Summary: Script to upgrade FRHL5.2.1 to 2.2 kernel
Name: newkernel
Version: 1.0
Release: 1
Group: Fermi
Copyright: GPL
Packager: Kirk Bauer <kbauer@fnal.gov>
Source: newkernel
Source1: newkernel-autorpm.conf
Source2: newkernel-dolilo.pl
Requires: autorpm >= 1.9
BuildRoot: /tmp/newkernel-build
BuildArch: noarch

%description
This is a one-time-use package to be installed on a machine.
You can then run the 'newkernel' script and your machine will
be interactively upgraded to the Linux 2.2 kernel.

%prep

%build

%install
cd ${RPM_SOURCE_DIR}
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}/usr/lib
install -m 0755 -d ${RPM_BUILD_ROOT}/usr/lib/newkernel
install -m 0600 newkernel-autorpm.conf ${RPM_BUILD_ROOT}/usr/lib/newkernel/autorpm.conf
install -m 0700 newkernel-dolilo.pl ${RPM_BUILD_ROOT}/usr/lib/newkernel/dolilo.pl
install -m 0700 newkernel ${RPM_BUILD_ROOT}/usr/sbin/newkernel
touch ${RPM_BUILD_ROOT}/usr/lib/newkernel/smp

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo
echo "Now simply run 'newkernel' to upgrade to the 2.2 kernel"
echo

%files
%dir /usr/lib/newkernel
%attr(-,root,root) /usr/sbin/newkernel
%attr(-,root,root) /usr/lib/newkernel/autorpm.conf
%attr(-,root,root) /usr/lib/newkernel/dolilo.pl
%attr(-,root,root) /usr/lib/newkernel/smp

